#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 deferred-folds
version:              0.9.18.7
visibility:           public
id:                   deferred-folds-0.9.18.7-8595A1ukXxR1XcKcApyPZa
key:                  deferred-folds-0.9.18.7-8595A1ukXxR1XcKcApyPZa
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/nikita-volkov/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  e4fe8fddd2f39c1ac4442e34f9d14a91
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Util.TextArray

import-dirs:          /usr/lib/ghc-9.4.8/site-local/deferred-folds-0.9.18.7
library-dirs:         /usr/lib/ghc-9.4.8/site-local/deferred-folds-0.9.18.7
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/deferred-folds-0.9.18.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-deferred-folds
hs-libraries:         HSdeferred-folds-0.9.18.7-8595A1ukXxR1XcKcApyPZa
depends:
    base-4.17.2.1 bytestring-0.11.5.3 containers-0.6.7
    foldl-1.4.18-2lPuhwbrw18FPUIqBkATSm
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    primitive-0.8.0.0-AkaLl3oBd0zGZjVVLiSfZ text-2.0.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-FElyfgrInnoGRvt4L8NT29
    vector-0.13.2.0-CMnyNy925iLU2oFqM6oBU

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

